Bug 1737617 - Unable to calibrate external monitor
Summary: Unable to calibrate external monitor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-color-manager
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-05 20:46 UTC by Russell Harrison
Modified: 2020-05-26 16:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:27:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-color-manager issues 5 0 None None None 2019-08-05 20:46:39 UTC

Description Russell Harrison 2019-08-05 20:46:39 UTC
Description of problem:

I'm unable to calibrate my external monitor because the calibration target swatches apeare on the laptop screen instead.

Version-Release number of selected component (if applicable):

$ rpm -q gnome-color-manager 
gnome-color-manager-3.32.0-1.fc30.x86_64

[username@username-t590 gnome-color-manager]$ colormgr get-devices

Object Path:   /org/freedesktop/ColorManager/devices/xrandr_Dell_Inc__DELL_S3219D_6N0QTP2_username_1000
Owner:         username
Created:       August  5 2019, 05:29:44 PM
Modified:      August  5 2019, 05:29:46 PM
Type:          display
Enabled:       Yes
Embedded:      No
Model:         DELL S3219D
Vendor:        Dell
Serial:        6N0QTP2
Seat:          seat0
Scope:         temp
Colorspace:    rgb
Device ID:     xrandr-Dell Inc.-DELL S3219D-6N0QTP2
Profile 1:     icc-5dde892c0bfb68b5755f0774e71bd8a9
               /home/username/.local/share/icc/edid-7906a94ca7816fe10e309203ea7799af.icc
Metadata:      OutputEdidMd5=7906a94ca7816fe10e309203ea7799af
Metadata:      OutputPriority=secondary
Metadata:      XRANDR_name=DP-2-1
Metadata:      OwnerCmdline=/usr/libexec/gsd-color 

Object Path:   /org/freedesktop/ColorManager/devices/xrandr_AU_Optronics_username_1000
Owner:         username
Created:       August  5 2019, 05:29:44 PM
Modified:      August  5 2019, 05:29:46 PM
Type:          display
Enabled:       Yes
Embedded:      Yes
Model:         ThinkPad T590
Vendor:        Lenovo
Serial:        unknown
Seat:          seat0
Scope:         temp
Colorspace:    rgb
Device ID:     xrandr-AU Optronics
Profile 1:     icc-79cfd25cebaaafd95b16f132edef9526
               /home/username/.local/share/icc/Lenovo ThinkPad T590 (medium) 2019-08-02 00-01-33 color-munki-photo.icc
Profile 2:     icc-2d23b480c9201b55af57516ba050a276
               /home/username/.local/share/icc/edid-e9807aa62de0ebacf760a52478e84744.icc
Metadata:      OutputEdidMd5=e9807aa62de0ebacf760a52478e84744
Metadata:      OutputPriority=primary
Metadata:      XRANDR_name=eDP-1
Metadata:      OwnerCmdline=/usr/libexec/gsd-color 
[username@username-t590 gnome-color-manager]$

How reproducible:

Steps to Reproduce:
1. Dock laptop to docking station with external monitor attatched.
2. Connect X-rite colormunki Photo to USB
3. gnome-settings pops up correctly and shows the external monitor correctly.
4. Select external monitor and walk through the wizard accepting the defaults.

Actual results:

Color swatch interface shows on laptop screen and not the external monitor

Expected results:

Color swatch interface shows on external monitor and proceeds with calibration.


Additional info:

Happy to provide any additional information I can.

Comment 1 Ben Cotton 2020-04-30 21:24:55 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:27:56 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.